# MySQL dump 8.16
#
# Host: localhost    Database: mcs
#--------------------------------------------------------
# Server version	3.23.43-nt

#
# Table structure for table 'assignment'
#

CREATE TABLE assignment (
  id bigint(20) NOT NULL auto_increment,
  text varchar(255) NOT NULL default '',
  id_problem bigint(20) NOT NULL default '0',
  id_comm_language bigint(20) NOT NULL default '0',
  id_file_type int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'assignment'
#


#
# Table structure for table 'clarification'
#

CREATE TABLE clarification (
  id bigint(20) NOT NULL auto_increment,
  question text NOT NULL,
  answer text NOT NULL,
  id_contest bigint(20) NOT NULL default '0',
  id_problem bigint(20) NOT NULL default '0',
  id_contestant bigint(20) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'clarification'
#


#
# Table structure for table 'comm_language'
#

CREATE TABLE comm_language (
  id bigint(20) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  alias varchar(10) NOT NULL default '',
  codepage varchar(30) NOT NULL default 'windows-1250',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'comm_language'
#

INSERT INTO comm_language VALUES (1,'Slovensk jazyk','SK','windows-1250');
INSERT INTO comm_language VALUES (2,'English language','EN','iso-8859-2');
INSERT INTO comm_language VALUES (4,'Deutche sprache','DE','iso-8859-1');

#
# Table structure for table 'contest'
#

CREATE TABLE contest (
  id bigint(20) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  start datetime NOT NULL default '0000-00-00 00:00:00',
  duration datetime NOT NULL default '0000-00-00 00:00:00',
  description varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'contest'
#

INSERT INTO contest VALUES (1,'ACM 2001 (demo)','2001-12-10 00:00:00','2001-12-20 00:00:00','Loklne kolo ACM sae na FEI STU [cesta k sboru s informciami]');
INSERT INTO contest VALUES (2,'Programovanie v C [2001] (demo)','2001-09-24 00:00:00','2001-12-20 00:00:00','Simulcia odovdzvania zadan z uvedenho predmetu');

#
# Table structure for table 'file_type'
#

CREATE TABLE file_type (
  id bigint(20) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'file_type'
#

INSERT INTO file_type VALUES (1,'plain');
INSERT INTO file_type VALUES (2,'html');
INSERT INTO file_type VALUES (3,'pdf');
INSERT INTO file_type VALUES (4,'ps');
INSERT INTO file_type VALUES (5,'doc');
INSERT INTO file_type VALUES (6,'rtf');

#
# Table structure for table 'problem'
#

CREATE TABLE problem (
  id bigint(20) NOT NULL auto_increment,
  time_limit bigint(20) NOT NULL default '0',
  memory_limit bigint(20) NOT NULL default '0',
  difficulty bigint(20) NOT NULL default '0',
  test_script varchar(255) default NULL,
  test_gen varchar(255) default NULL,
  notes text,
  id_contest bigint(20) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'problem'
#


#
# Table structure for table 'problem__prog_language'
#

CREATE TABLE problem__prog_language (
  id_problem bigint(20) NOT NULL default '0',
  id_prog_language bigint(20) NOT NULL default '0',
  PRIMARY KEY  (id_problem,id_prog_language)
) TYPE=MyISAM;

#
# Dumping data for table 'problem__prog_language'
#


#
# Table structure for table 'prog_language'
#

CREATE TABLE prog_language (
  id bigint(20) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  compile_script varchar(255) NOT NULL default '',
  validate_script varchar(255) default NULL,
  description text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'prog_language'
#

INSERT INTO prog_language VALUES (25,'Pascal (ACM)','/usr/lang/pascal/pascal %1','','');
INSERT INTO prog_language VALUES (23,'Java','/usr/lang/java/javac %1','','Programovac jazyk Java (Sun Microsystems, Inc.)');
INSERT INTO prog_language VALUES (20,'C++ (ACM)','/usr/lang/cpp/gcc %1','','C++ (ACM pravidl)');

#
# Table structure for table 'solution'
#

CREATE TABLE solution (
  id bigint(20) NOT NULL auto_increment,
  status int(11) NOT NULL default '0',
  ip varchar(15) NOT NULL default 'xxx.xxx.xxx.xxx',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  id_problem bigint(20) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'solution'
#


#
# Table structure for table 'source_code'
#

CREATE TABLE source_code (
  id bigint(20) NOT NULL auto_increment,
  file varchar(255) NOT NULL default '',
  is_main tinyint(1) NOT NULL default '0',
  id_solution bigint(20) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'source_code'
#


#
# Table structure for table 'team'
#

CREATE TABLE team (
  id bigint(20) unsigned NOT NULL auto_increment,
  login varchar(30) NOT NULL default '',
  password varchar(30) NOT NULL default '',
  name varchar(50) NOT NULL default '',
  email varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id,login,name),
  KEY id_2 (id,login,name,email)
) TYPE=MyISAM;

#
# Dumping data for table 'team'
#

INSERT INTO team VALUES (1,'team01','123456','team01','tft@tft.sk');
INSERT INTO team VALUES (2,'gos','123456','Group Of Six','gos@gos.sk');

#
# Table structure for table 'team_users'
#

CREATE TABLE team_users (
  id bigint(20) unsigned NOT NULL auto_increment,
  id_team bigint(20) unsigned NOT NULL default '0',
  id_user bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id),
  KEY id_2 (id,id_team,id_user)
) TYPE=MyISAM;

#
# Dumping data for table 'team_users'
#


#
# Table structure for table 'test'
#

CREATE TABLE test (
  id bigint(20) NOT NULL auto_increment,
  input varchar(255) NOT NULL default '',
  output varchar(255) NOT NULL default '',
  id_problem bigint(20) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table 'test'
#


#
# Table structure for table 'user'
#

CREATE TABLE user (
  id bigint(20) unsigned NOT NULL auto_increment,
  login varchar(30) NOT NULL default '',
  password varchar(30) NOT NULL default '',
  name varchar(50) NOT NULL default '',
  surname varchar(50) NOT NULL default '',
  email varchar(50) NOT NULL default '',
  id_group bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id,login),
  KEY id_2 (id,login,name,surname,email)
) TYPE=MyISAM;

#
# Dumping data for table 'user'
#

INSERT INTO user VALUES (1,'teliatko','teliatko','Teliatko','Bigotne','teliatko@yahoo.com',1);
INSERT INTO user VALUES (2,'dantes','dantes','Vladimir','Grlicky','grlicky@yahoo.com',4);
INSERT INTO user VALUES (13,'hajek','hajek','Juraj','Hajek','hajek@xxx.com',1);

#
# Table structure for table 'user_group'
#

CREATE TABLE user_group (
  id bigint(20) unsigned NOT NULL auto_increment,
  name varchar(30) NOT NULL default '',
  description varchar(255) default NULL,
  PRIMARY KEY  (id),
  KEY id_2 (id,name)
) TYPE=MyISAM;

#
# Dumping data for table 'user_group'
#

INSERT INTO user_group VALUES (1,'Administrators','Have rights to add users to database and assigns them tasks');
INSERT INTO user_group VALUES (2,'Judges','Have to judge results');
INSERT INTO user_group VALUES (3,'Competitors','Have to craete competitions');
INSERT INTO user_group VALUES (4,'Contestants','No rules');

